Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 30 est disponible

#1 03/04/2019 22:07:04

didierg
Modérateur
Modérateur
Inscription : 11/07/2005
Messages : 4 730

[Résolu] Fedora 30 - Python 2 et 3 - SABnzbd

Bonjour,

En préambule je précise que je ne suis pas un programmeur juste un bricoleur du dimanche et encore !

J'utilise depuis quelques années SABnzbd - https://sabnzbd.org/ - qui à ma connaissance n'est ni dans les dépôts officiels ni sur RPMfusion.

Il y a un certain temps j'ai récupéré SABnzbd-1.2.3-1.fc26.src.rpm  et depuis je faisais évoluer ma version en créant mon propre rpm quand une nouvelle version était disponible et tout allait très bien.

Je suis passé sous Fedora 30 Beta et ça ne marche plus, python2-yenc n'étant plus disponible sur Fedora 30.

Erreur : 
 Problème: problem with installed package fedora-obsolete-packages-30-30.noarch
  - installed package fedora-obsolete-packages-30-30.noarch obsoletes python2-yenc < 0.4.0-16 provided by python2-yenc-0.4.0-15.fc30.x86_64
  - package fedora-obsolete-packages-30-30.noarch obsoletes python2-yenc < 0.4.0-16 provided by python2-yenc-0.4.0-15.fc30.x86_64
  - conflicting requests

Any help ?

Hors ligne

#2 04/04/2019 06:20:02

chepioq
FEDORA FOR EVER
Lieu : a l'est de marseille
Inscription : 07/06/2006
Messages : 7 270

Re : [Résolu] Fedora 30 - Python 2 et 3 - SABnzbd

Comme tu fais un rpm pour SABnzbd, est-ce que tu ne peux pas faire de même avec python2-yenc, en récupérant les sources quelque part ?

Dernière modification par chepioq (04/04/2019 06:20:30)


Tout est dans tout... et réciproquement...
C'est quoi un chalumeau??? C'est un dromaludaire à deux bosses...
Quand le sage montre la lune l'imbécile regarde le doigt...
1277887812.gif

Hors ligne

#3 04/04/2019 09:45:40

didierg
Modérateur
Modérateur
Inscription : 11/07/2005
Messages : 4 730

Re : [Résolu] Fedora 30 - Python 2 et 3 - SABnzbd

Je faisais déjà un rpm python2-yenc-0.4.0-15.fc30.x86_64 à partir des sources mais celui-ci est avec Fedora 30 "obsoleté" par fedora-obsolete-packages-30-30.noarch

Je peux essayer en trichant pour créer un rpm python2-yenc-0.4.0-16.fc30.x86_64 et voir si fedora-obsolete-packages-30-30.noarch fait de même.

Hors ligne

#4 04/04/2019 13:28:33

didierg
Modérateur
Modérateur
Inscription : 11/07/2005
Messages : 4 730

Re : [Résolu] Fedora 30 - Python 2 et 3 - SABnzbd

J'ai résolu mon problème:
- en root, j'ai installé  sabyenc - https://sabnzbd.org/wiki/installation/sabyenc.html
- j'ai supprimé les références à python-enc dans mon spec de SABnzbd
Après cela mon rpm perso de SABnzbd s'installe et fonctionne correctement

Passé en résolu.

Hors ligne

Pied de page des forums